#include <cstdio>

using namespace std; 

int main(){
	int n, k; 
	scanf("%d%d", &n, &k); 
	int a[n]; 
	int rezlutat = 0; 
	for(int i = 0 ; i < n ; i++){
		scanf("%d", &a[i]); 
	}
	switch(k){
		case 0:
			for(int i = 0 ; i < n ; i++){
				rezlutat += a[i]; 
			}
			break; 
		case 1:
			for(int i = 0 ; i < n ; i++){
				rezlutat += a[i]*(i+1)*(n-i); 
			} 
			break; 
		default: 
			rezlutat = 1029; 
	}
	printf("%d", rezlutat); 
	return 0; 
}